Bug 194188 - [arm] math/p5-Math-Int128 unsupported type uint128_t on arm
Summary: [arm] math/p5-Math-Int128 unsupported type uint128_t on arm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-06 14:06 UTC by Sean Bruno
Modified: 2014-11-01 10:01 UTC (History)
0 users

See Also:
sbruno: maintainer-feedback? (pi)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2014-10-06 14:06:23 UTC
Unable to build this port on ARM because the tool chain does not support uint128_t yet (or ever).

===========================================================================
=======================<phase: build          >============================
===>  Building for p5-Math-Int128-0.13_2
cp lib/Math/Int128.pm blib/lib/Math/Int128.pm
cp lib/Math/Int128/die_on_overflow.pm blib/lib/Math/Int128/die_on_overflow.pm
/usr/local/bin/perl5.16.3 /usr/local/lib/perl5/5.16/ExtUtils/xsubpp  -typemap /usr/local/lib/perl5/5.16/ExtUtils/typemap -typemap typemap  Int128.xs > Int128.xsc && mv Int128.xsc Int128.c
/usr/bin/clang -c  -I.  -O -pipe -O -pipe    -DVERSION=\"0.13\"  -DXS_VERSION=\"0.13\" -DPIC -fPIC "-I/usr/local/lib/perl5/5.16/mach/CORE"   Int128.c
Int128.xs:21:9: error: __int128 is not supported on this target
typedef __int128 int128_t;
        ^
Int128.xs:22:18: error: __int128 is not supported on this target
typedef unsigned __int128 uint128_t;
                 ^
2 errors generated.
*** Error code 1
Comment 1 Bugzilla Automation freebsd_committer 2014-10-06 14:06:23 UTC
Auto-assigned to maintainer pi@FreeBSD.org
Comment 2 Kurt Jaeger freebsd_committer 2014-10-06 14:13:35 UTC
Thanks for the pointer. How do I limit it ?

NOT_FOR_ARCHS= arm

or

NOT_FOR_ARCHS= armv6

? What's correct ?
Comment 3 Sean Bruno freebsd_committer 2014-10-06 14:17:18 UTC
BROKEN_armv6= uint128_t unsupported on armv6

I think that's what you want.
Comment 4 Kurt Jaeger freebsd_committer 2014-10-06 18:54:57 UTC
I tried

BROKEN_armv6=   uint128_t unsupported
BROKEN_i386=    uint128_t unsupported

and build it using poudriere on 8.4-i386. It still tried to build and
did not detect the BROKEN ? So how is this supposed to work?
Comment 5 Sean Bruno freebsd_committer 2014-10-29 14:24:45 UTC
Can you add armv6 to the list of "NOT_FOR_ARCHS=" ?  That seems to be good enough for me.Index: Makefile
===================================================================
--- Makefile    (revision 371674)
+++ Makefile    (working copy)
@@ -19,7 +19,7 @@
 USES=          perl5
 USE_PERL5=     configure
 
-NOT_FOR_ARCHS= i386
+NOT_FOR_ARCHS= i386 armv6
 
 .include <bsd.port.pre.mk>


root@crack:/usr/ports/math/p5-Math-Int128 # make -DBATCH
===>  p5-Math-Int128-0.13_2 does not run on i386 armv6, while you are running armv6.
*** Error code 1

Stop.
Comment 6 Kurt Jaeger freebsd_committer 2014-10-30 20:52:29 UTC
(In reply to Sean Bruno from comment #5)
> Can you add armv6 to the list of "NOT_FOR_ARCHS=" ?  That seems to be good
> enough for me.Index: Makefile

I finally build me an armv6 box to test this. Will do soon!
Comment 7 Kurt Jaeger freebsd_committer 2014-11-01 10:00:52 UTC
(In reply to Kurt Jaeger from comment #6)
> (In reply to Sean Bruno from comment #5)
> > Can you add armv6 to the list of "NOT_FOR_ARCHS=" ?  That seems to be good
> > enough for me.Index: Makefile
> 
> I finally build me an armv6 box to test this. Will do soon!

Tested it, works.
Comment 8 commit-hook freebsd_committer 2014-11-01 10:01:03 UTC
A commit references this bug:

Author: pi
Date: Sat Nov  1 10:00:58 UTC 2014
New revision: 372000
URL: https://svnweb.freebsd.org/changeset/ports/372000

Log:
  math/p5-Math-Int128: add armv6 to NOT_FOR_ARCHS

  PR:		194188
  Submitted by:	sbruno

Changes:
  head/math/p5-Math-Int128/Makefile
Comment 9 Kurt Jaeger freebsd_committer 2014-11-01 10:01:22 UTC
Committed, thanks!